package vishnu.testvis.visual;
import vishnu.testvis.treemap.visual.TMNavigator;
import vishnu.testvis.sammon.*;
import vishnu.testvis.object.*;
import vishnu.testvis.evaluate.*;
import vishnu.testvis.dendro.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.beans.*;
import javax.swing.event.*;
import java.io.*;
import java.util.Vector;
import java.util.Properties;
import java.applet.*;
import java.net.*;
import vishnu.datablock.*;

public class VishnuSingle extends Vishnu
{

    protected void initCollections() {
	// put in a dummy Collection
	Collection c = new Collection(coll, coll, coll, 0, coll, null);
	dataManager.currentCollection = c;
    }

    // overwrite this to remove the collection stuff - cos we are working within one collection only
    protected void jbInit() throws Exception {
	JPanel pane = new JPanel();
	setContentPane(pane);
	pane.setBorder(BorderFactory.createLineBorder(Color.black, 2));
        pane.setLayout(new BorderLayout());
        
	JPanel searchPanel = new JPanel();
	searchPanel.setLayout(new BorderLayout(5,5));
	searchPanel.setBackground(SystemColor.control);
        searchBox = new JTextField();
	searchBox.setPreferredSize(new Dimension((int)(size.width/5), 26));
        searchBox.setEditable(true);
        searchBox.addKeyListener(new java.awt.event.KeyAdapter(){
                public void keyPressed(KeyEvent e)
                {
                    findButton_keyPressed(e);
                }
            });
	
	JLabel searchLabel = new JLabel();
        searchLabel.setFont(new java.awt.Font("Monospaced", 0, largeFont));
        searchLabel.setForeground(Color.black);
        searchLabel.setText("Search:");

	searchPanel.add(searchLabel, BorderLayout.WEST);
	searchPanel.add(searchBox, BorderLayout.CENTER);


	JPanel topPanel = new JPanel();
        topPanel.setLayout(new BorderLayout(10,10));
	topPanel.setBackground(SystemColor.control);
        topPanel.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
	
	JPanel backPanel = new JPanel();   
        backPanel.setPreferredSize(new Dimension(size.width,size.height));
        backPanel.setBackground(SystemColor.control);
        backPanel.setLayout(new BorderLayout());
        
	theTabbedPane.setBackground(SystemColor.control);
        theTabbedPane.setFont(new java.awt.Font("Monospaced", Font.BOLD, largeFont));
        theTabbedPane.addChangeListener(new javax.swing.event.ChangeListener(){
		public void stateChanged(ChangeEvent e)
		{
		    theTabbedPane_stateChanged(e);
		}
	    });
	
        findButton.setBackground(SystemColor.control);
        findButton.setFont(new java.awt.Font("Monospaced", 0, largeFont));
        findButton.setBorder(BorderFactory.createEtchedBorder());
        findButton.setText("Find");
        findButton.addKeyListener(new java.awt.event.KeyAdapter(){
		public void keyPressed(KeyEvent e)
		{
		    findButton_keyPressed(e);
		}
	    });
        
        findButton.addMouseListener(new java.awt.event.MouseAdapter(){
		public void mouseClicked(MouseEvent e)
		{
		    findButton_mouseClicked(e);
		}
	    });
	
        pane.add(backPanel, BorderLayout.CENTER);
        backPanel.add(theTabbedPane, BorderLayout.CENTER);
	
        theTabbedPane.add(plainPanel, "PlainVis");
        theTabbedPane.add(radVizPanel, "RadialVis");
        theTabbedPane.add(sammonPanel,"SammonVis");
        theTabbedPane.add(dendroPanel,"DendroVis");
        theTabbedPane.setForegroundAt(0,Color.blue);
	
        pane.add(topPanel, BorderLayout.NORTH);
	
	topPanel.add(searchPanel, BorderLayout.CENTER);
	topPanel.add(findButton, BorderLayout.EAST);
	
        theTabbedPane.setPreferredSize(size);

    }
    
    
}





